J_PROTO_VALUE_DESTROY_FUNC(3)

PROTO_FUNC
j_PROTO_value_destroy_func - This routine will destroy values.

SYNOPSIS
#include <karma_j.h>

void j_PROTO_value_destroy_func

(void *value)

DESCRIPTION
This routine will destroy values.

value
    The value to destroy.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
If the <<value_length>> is greater than 0 and the <<value_copy_func>> was not supplied, then the <<value>> pointer is internally freed.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/